#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
i = 0
nedan =[]
puts"残金を入力"
za = gets.chomp.to_i

while true 
 print"値段を入力\n"
 nedan << gets.to_i

 printf(" %s \n",nedan[i])
 
 if nedan[i] == 0
   break
 end
 i += 1
end

u = 0
while u < i
  printf("%dつ目の値段は%d円です\n",u+1,nedan[u])
  za += nedan[u]
  u += 1  
end
printf("残金は%d円\n",za)
puts"変更する箇所はありますか[はい(1)orいいえ(2)]"
senn = gets.to_i

if senn == 1
  puts"何番目を変えますか?"
  kaeban = gets.to_i

  if kaeban == 0 or kaeban > i
    print("変更を中止します\n")
  
  else

   kaeban -=1  #配列は0から始まるので
  
  
  
   puts"何円に変えますか?"
   kaesuu = gets.to_i

   za -= nedan[kaeban]  #残高を一旦取り消し
 
   nedan[kaeban] = kaesuu
   za += kaesuu
   printf("残金は%d円\n",za)

   u = 0
   while u < i
    printf("%d:%d円\n",u+1,nedan[u])
    u +=1
    end

   printf("変更後の残金は%d円です\n",za)
end
end

print("プログラム終了\n")
